Redmine - Defect #8633

Pagination counts non visible issues
2011-06-16 22:47 - Rodrigo Guerrero

Status: Closed Start date: 2011-06-16
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 1.2.2

Resolution: Fixed Affected version: 1.2.0
Description

When | see my list issues the projects (with various subproject) with filter status: all, in result show me

123 4 Next » (1-100/398) | Per page: 25, 50, 100

In first page show me 100 issues, the second show me 1 issue, the third and fourth show me: "No data to display”

Thanks

Related issues:
Related to Redmine - Defect #8815: Invalid search results with paging

Related to Redmine - Defect #8943: Broken paginations on the view "all issues...

Related to Redmine - Defect #9411: Number of issues closed / open in Roadmap ...

Has duplicate Redmine - Defect #8848: Custom queries count, count also issue ...

Closed
Closed
Closed
Closed

2011-07-14
2011-07-29
2011-10-12
2011-07-19

Associated revisions

Revision 6314 - 2011-07-24 18:48 - Jean-Philippe Lang

Fixed: pagination do not show total visible issue count (#8633).

Revision 7765 - 2011-11-11 12:31 - Jean-Philippe Lang
Merged r6314 from trunk (#8633).

History

#1 - 2011-06-17 10:14 - Etienne Massip

Which Redmine version, any plugins, etc. ?
See SubmittingBugs for required details.
#2 - 2011-06-17 15:17 - Rodrigo Guerrero
Information

® Redmine version: 1.2.0.devel.5969
¢ Database version: MySql 5.0.51a-3ubuntu5.5

* Ruby version: ruby 1.8.7 (2009-12-24 patchlevel 248) [i686-linux], MBARI 0x8770, Ruby Enterprise Edition 2010.01

¢ Rails version: rails-2.3.11
Plugins:

Bulk Time Entry
Customer plugin
Redmine Graphs
Knowledgebase

#3 - 2011-06-17 15:22 - Etienne Massip
- Affected version (unused) set to 1.2.0

- Affected version set to 1.2.0
https://www.redmine.org/projects/redmine/wiki/SubmittingBugs

#4 - 2011-06-20 04:03 - Jean-Baptiste Barth

Strange, it shouldn't happen, but it's difficult to debug it without knowing the particularities of your database. If it doesn't contain top secret
informations, you can send me a dump jeanbaptiste.barth [at] gmail.com, I'll see if | can reproduce and find out where the problem is.

#5 - 2011-06-20 04:05 - Jean-Baptiste Barth
Just two things more :

e please precise if it occurs only on some projects or on the cross-project view (and detailed steps to reproduce if needed)
¢ if you send me the dump, please mention the URL to this issue in your email so it rings a bell for me

#6 - 2011-06-20 15:42 - Rodrigo Guerrero

Jean-Baptiste Barth wrote:
Just two things more :

e please precise if it occurs only on some projects or on the cross-project view (and detailed steps to reproduce if needed)
e if you send me the dump, please mention the URL to this issue in your email so it rings a bell for me

Jean-Baptiste, the information is confidencial, so i can't send it. Structure the project is:

main project 1 (is being queried)
sub-project 1.1

sub-project 1.2

sub-project 1.3

sub-project 1.3.1 (archived)
sub-project 1.3.2
sub-project 1.3.3
sub-project 1.3.4 (archived)
sub-project 1.3.5 (archived)
sub-project 1.3.6
sub-project 1.3.7
sub-project 1.3.8 (archived)
sub-project 1.3.9 (archived)
sub-project 1.3.10
sub-project 1.3.11
sub-project 1.3.12
sub-project 1.4

sub-project 1.5

sub-project 1.6 (archived)
sub-project 1.7 (archived)
sub-project 1.8

sub-project 1.9

#7 - 2011-06-24 00:08 - Rodrigo Guerrero

Jean, i can send more information? you need i execute any test?
Thank

Rodrigo

#8 - 2011-06-26 17:05 - Jean-Baptiste Barth

It's ok, I'll have a look at it but maybe not right now. | already saw some problems counting paginated results, don't know if they're related.

#9 - 2011-07-13 20:31 - Rodrigo Guerrero
Hi Jean-Baptiste, | update the last version and the problem persist. You have any patch to test?
Thank

#10 - 2011-07-13 20:50 - Etienne Massip

Could you please try to remove (temporarily) your plugins and restart the application ?

#11 - 2011-07-13 21:53 - Rodrigo Guerrero

Etienne Massip wrote:

Could you please try to remove (temporarily) your plugins and restart the application ?
Hi Etiene, | remove the plugins and the problem persist.
Show me:

1234 Next » (1-100/347) | Per page: 25, 50, 100

but in the page 3 show me: "No data to display”
Plugins:

Migrating action_mailer_optional_tls...
Migrating acts_as_activity_provider...
Migrating acts_as_attachable...
Migrating acts_as_customizable...
Migrating acts_as_event...

Migrating acts_as_list...

Migrating acts_as_searchable...
Migrating acts_as_tree...

Migrating acts_as_versioned...
Migrating acts_as_watchable...
Migrating attachment_fu...

Migrating awesome_nested_set...
Migrating classic_pagination...
Migrating gravatar...

Migrating open_id_authentication...
Migrating prepend_engine_views...
Migrating rfpdf...

Migrating ruby-net-ldap-0.0.4...

#12 - 2011-07-20 09:30 - Etienne Massip

- Target version set to Candidate for next minor release

#13 - 2011-07-20 10:08 - Etienne Massip

#8848 tell us it is due to archived projects.

#14 - 2011-07-20 23:56 - Etienne Massip

Query#issue_count (source:/trunk/app/models/query.rb#l 504) returns:

Issue.count (:include => [:status, :project], :conditions => statement)
Should be:
Issue.visible.count (:include => [:status, :project], :conditions => statement)

#15 - 2011-07-23 13:28 - pasquale [:dedalus]
- File patch.diff added

proposed patch

#16 - 2011-07-23 16:02 - Etienne Massip
- File pagination_fix_with_tests.patch added

Same with tests issues_count and issues_count_with_archived_issues.

Please note that default test data includes issues which are not visible, so both tests would fail without the Query fix.

#17 - 2011-07-24 18:49 - Jean-Philippe Lang

- Subject changed from Problem with pagination to Pagination counts non visible issues
- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 1.2.2

- Resolution set to Fixed
https://www.redmine.org/issues/8848
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/query.rb#L504

Patch applied in r6314, thanks.

#18 - 2011-07-29 17:46 - Rodrigo Guerrero

thanks!!! my problem was resolved!

#19 - 2011-10-24 22:16 - claude g

Can someone please create a link with #9411 (same bug but in roadmap with totals closed/open)? (Or cancel #9411 if it's corrected with this patch ?)

#20 - 2011-11-11 12:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r7765.

Files
patch.diff 465 Bytes 2011-07-23 pasquale [:dedalus]
pagination_fix_with_tests.patch 1.3 KB 2011-07-23 Etienne Massip
